Name: microshift-awx-operator-manifests

AutoReqProv: no

%global imageStore /usr/lib/container-images/microshift-awx-operator-manifests/
%global manifestStore /usr/lib/microshift/manifests/

Version: 1.0.0
Release: 1

Summary: Application specific manifests
License: Apache License 2.0

Source0: microshift-awx-operator-manifests.yaml

%description

This package provides a manifests for the AWX Operator Kustomize application containers.


%prep

if [ -d  %{buildroot}%{imageStore} ]
then
   rm -rf  %{buildroot}%{imageStore}
fi

%clean
find %{buildroot} -not -writable -not -type l -exec chmod u+w {} +
rm -rf  %{buildroot}

%install

mkdir -p %{buildroot}%{manifestStore}
install -m0400 %{SOURCE0} %{buildroot}/%{manifestStore}/microshift-awx-operator-manifests.yaml

%files
%dir "%{manifestStore}."
"%{manifestStore}./microshift-awx-operator-manifests.yaml"

%changelog
* Fri Feb 3 2023 Adam Miller <admiller@redhat.com> - 1.0.0-1
Read only crio containter storage and manifests for awx operator
